Summary: TeX typesetting system and MetaFont font formatter
Name: teTeX
Version: 1.0.6
Release: 1
Group: Applications/Publishing/TeX
Copyright: distributable
Url: http://www.tug.org/teTeX/
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://sunsite.informatik.rwth-aachen.de/pub/comp/tex/teTeX/1.0/distrib/sources/teTeX-src-%{version}.tar.gz
Source1: ftp://sunsite.informatik.rwth-aachen.de/pub/comp/tex/teTeX/1.0/distrib/sources/teTeX-texmf-1.0.tar.gz
Source2: teTeX-tmpwatch.cron
Source3: teTeX-allcm.cron
Patch: teTeX-path.patch
Requires: tmpwatch, dialog, ed
BuildRoot: /var/tmp/%{name}-root

%description
TeX formats a file of interspersed text and commands and outputs a
typesetter independent file (called DVI, which is short for DeVice
Independent).  TeX capabilities and language are described in The
TeXbook, by Knuth.


%prep
%setup -q -n teTeX-1.0
%patch -p1
rm -rf /usr/share/texmf/*
tar -C /usr/share/texmf -zxf %{SOURCE1}


%build
export CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s
./configure --prefix=/usr \
	--with-system-ncurses --with-system-zlib --with-system-pnglib \
	--disable-multiplatform --without-dialog --without-texinfo
make


%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr
rm -f $RPM_BUILD_ROOT/usr/info/dir
gzip -9f $RPM_BUILD_ROOT/usr/info/*.info*

# /var/lib/texmf is defined by VARTEXFONTS
mkdir -p   $RPM_BUILD_ROOT/var/lib/texmf
chmod 1777 $RPM_BUILD_ROOT/var/lib/texmf

mkdir -p $RPM_BUILD_ROOT/etc/cron.{daily,monthly}
# a cron script to remove any TeX fonts not used in 30 days
install -m755 %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.daily
# a cron script to calculate all important fonts on 1st of every month
install -m755 %{SOURCE3} $RPM_BUILD_ROOT/etc/cron.monthly

# Use texconfig to customize teTeX specifically for MSC, Caltech:
export PATH=$RPM_BUILD_ROOT/usr/bin:$PATH

texconfig xdvi us
texconfig dvips paper letter
texconfig mode ljfour

# To configure printer-specific options, uncomment these:
#texconfig dvips add apple
#texconfig dvips -P apple  mode ljfour
#texconfig dvips -P apple  printcmd lpr -Papple
#texconfig dvips add epson
#texconfig dvips -P epson mode esphi
#texconfig dvips -P epson printcmd lpr -Pepson

texconfig rehash

# Now move the texmf directory to BuildRoot to be included into RPM
mkdir -p $RPM_BUILD_ROOT/usr/share/texmf
mv -f /usr/share/texmf/* $RPM_BUILD_ROOT/usr/share/texmf


%post
/sbin/install-info /usr/info/dvips.info.gz	/usr/info/dir
/sbin/install-info /usr/info/kpathsea.info.gz	/usr/info/dir
/sbin/install-info /usr/info/latex.info.gz	/usr/info/dir
/sbin/install-info /usr/info/web2c.info.gz	/usr/info/dir
texconfig rehash > /dev/null 2>&1

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/dvips.info.gz		/usr/info/dir
    /sbin/install-info --delete /usr/info/kpathsea.info.gz	/usr/info/dir
    /sbin/install-info --delete /usr/info/latex.info.gz		/usr/info/dir
    /sbin/install-info --delete /usr/info/web2c.info.gz		/usr/info/dir
fi


%files
%defattr(-,root,root)
%doc INSTALL PROBLEMS QuickInstall README
%dir /var/lib/texmf
%config /etc/cron.*/*
/usr/bin/*
/usr/include/*
/usr/info/*
/usr/lib/*
/usr/man/man*/*
/usr/share/texmf


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sat Oct 23 1999 Hao Li <hli@wag.caltech.edu>
- teTeX-1.0.6.
- Rebuilding info files with --no-split is no longer possible.
- teTeX-allcm.cron is run monthly as nobody rather than root so that 
  fonts are written to /var/lib/texmf rather than /usr/lib/texmf.
- tmpwatch is now set to scratch files not touched in 30 days.
- RPM building procedures:
  # rpm -e latex2html
  # rpm -e teTeX 
  (ignore "cannot remove /var/lib/texmf - directory not empty")
  # mkdir /usr/share/texmf
  # chown hli.student /usr/share/texmf
  # exit

  (download new source, customize teTeX.spec, etc.)
  $ cd /usr/src/redhat/SPECS
  $ rpm -ba teTeX.spec 2>&1 | tee teTeX.log
  
  $ su
  # rpm -ivh teTeX-0.9-xxxxxx.i386.rpm
  # rpm -ivh latex2html-98.1p1-6.noarch.rpm
- Other differences from Red Hat 5.2 official packages:
  RH52 breaks it up into 7 sub-RPMs, HLI makes a single all-in-one RPM;
  RH52 names it tetex, HLI names it teTeX.
